Subject: Ticket Assigned - Delivery
From: Splash <[email-masked]>
To: [email-masked]
Date: Wed, 19 May 2021 03:18:55 +0000

Hi Samer Salmeh,  A new ticket has been assigned to you. Please follow the link below to view the ticket.  Delivery I just want to inform you that I did not received my order 6307873816 for lace hipster briefs with 10 items , The delivery man  is very rude and cursing.I message him if he can deliver it tomorrow May 18, 2021 because Im on duty now in the hospital. BUT he insisted to deliver it now. So I gave the location in our hospital but it seems there is a problem with the location, he cursed on me. I DONT know if I can refund my payment. https://landmarkgroupservice.freshdesk.com/helpdesk/tickets/2591301